Wanx 2.7 Image Generation
curl --request POST \
--url https://api.sinancode.com/v1/generate/bailian/wan27-image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"images": [
"<string>"
],
"prompt": "<string>",
"seed": 1073741823
}
'import requests
url = "https://api.sinancode.com/v1/generate/bailian/wan27-image"
payload = {
"images": ["<string>"],
"prompt": "<string>",
"seed": 1073741823
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({images: ['<string>'], prompt: '<string>', seed: 1073741823})
};
fetch('https://api.sinancode.com/v1/generate/bailian/wan27-image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "01234567-89ab-cdef-0123-456789abcdef"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}Image Generation - Wan2
Wan 2.7 Image
Wanx 2.7 image generation and editing model, supports text-to-image and image editing. Omit images for text-to-image mode, provide images (up to 9) for image editing mode.
POST
/
generate
/
bailian
/
wan27-image
Wanx 2.7 Image Generation
Generate and edit images using Alibaba Cloud’s Wanxiang 2.7 image model.
Key Features:
- Text-to-Image & Image Editing - Supports both text-to-image generation and image editing (up to 9 reference images)
- High Resolution - Supports 1K and 2K output resolution
- Long Prompts - Supports prompts up to 5000 characters
Authorizations
Please use your API Token for authentication
Body
application/json
Task parameters
Input image URL list (optional, 0-9 images, for image editing mode) Omit for text-to-image mode, provide for image editing mode
Maximum array length:
9Prompt (required, max 5000 characters)
Required string length:
1 - 5000Random seed (optional, range 0-2147483647)
Required range:
0 <= x <= 2147483647Output resolution (optional, default 2K) wan2.7-image supports 1K, 2K
Available options:
1K, 2K Response
OK
Task ID
Example:
"01234567-89ab-cdef-0123-456789abcdef"